%define name    glaxium
%define version 0.5
%define aurox_ver 9.4
%define rel 3
%define desktop_vendor aurox

Summary: OpenGL-based space-ship "shoot-em-up"
Name: %{name}
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Group: Amusements/Games
Source: %{name}_%{version}.tar.gz
Source1: glaxium.png
#Source2: glext.h
Patch: glaxium_0.5-prototypes.patch
Patch1: glaxium_0.5-lowcolor.patch
URL: http://xhosxe.free.fr/glaxium
License: GPL
Group: Amusements/Games
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: Mesa-devel glut-devel

%description
Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game. 
It is designed to provide the same feel as the old 2D   games of that 
type, but with 3D for the special effects. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}_%{version}
%patch -p1 -b .proto
%patch1 -p1 -b .lowcolor
#cp %{SOURCE2} .

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
%configure
make

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Glaxium (Full color)
Comment=OpenGL-based space-ship game
Comment[pl]=Kosmiczna strzelanka w OpenGL
Icon=%{name}.png
Exec=/usr/bin/%{name}
Terminal=false
Type=Application
Encoding=UTF-8
EOF

cat > %{name}2.desktop <<EOF
[Desktop Entry]
Name=Glaxium (Low color)
Comment=OpenGL-based space-ship game
Comment[pl]=Kosmiczna strzelanka w OpenGL
Icon=%{name}.png
Exec=/usr/bin/%{name} -lowcolor
Terminal=false
Type=Application
Encoding=UTF-8
EOF

%install
export GLAXIUM_INSTALLDIR=$RPM_BUILD_ROOT%{_bindir}
export GLAXIUM_HOME=$RPM_BUILD_ROOT%{_datadir}/games/glaxium

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/glaxium/{textures,samples}

install -m 755 glaxium $RPM_BUILD_ROOT%{_bindir}/%{name}
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -m 644 glaxium.6 $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 textures/* $RPM_BUILD_ROOT%{_datadir}/games/glaxium/textures/
install -m 644 samples/* $RPM_BUILD_ROOT%{_datadir}/games/glaxium/samples/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor}             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Aurox-Extra                              \
  --add-category Application                                \
  --add-category Game                                       \
  --add-category ActionGame                                 \
  %{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor}             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Aurox-Extra                              \
  --add-category Application                                \
  --add-category Game                                       \
  --add-category ActionGame                                 \
  %{name}2.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README.txt CHANGES.txt
%{_bindir}/%{name}
%{_datadir}/games/*
%{_mandir}/man6/*
%{_datadir}/applications/aurox-%{name}.desktop
%{_datadir}/applications/aurox-%{name}2.desktop
%{_datadir}/pixmaps/glaxium.png

%changelog
* Wed May 05 2004 Aurox Team <aurox@aurox.org> 0:0.5-9.4.aur.3
- rebuild
- add another menu entry for low color
- use Group: Amusements/Games

* Wed Oct 09 2002 Xavier Hosxe <xhosxe@free.fr> 0.5-*
- Heavily inspired by glaxium.spec from mandrakesoft (Lenny Cartier and Guillaume Cottenceau).
